%global pkgvers 0
%global scdate0 20231130
%global schash0 9a7efd885fb924e78dabbd05bb96168f75e41255
%global branch0 master
%global source0 https://github.com/BelledonneCommunications/bctoolbox.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           bctoolbox
Version:        5.3.0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Utilities library used by Belledonne Communications

License:        GPLv3
URL:            https://github.com/BelledonneCommunications/bctoolbox

BuildRequires:  git cmake gcc-c++ doxygen mbedtls-devel

%undefine _hardened_build
%undefine _annotated_build

%description
Utilities library used by Belledonne Communications softwares
like belle-sip, mediastreamer2 and liblinphone.

%package        devel
Summary:        Development libraries for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Libraries and headers required to develop software with %{name}.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller
# epel
sed -i 's|cmake_minimum_required(VERSION.*|cmake_minimum_required(VERSION 3.20)|g' CMakeLists.txt


%build
%global optflags %(echo %optflags | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')
%cmake -Wno-dev \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DENABLE_STRICT=NO \
       -DENABLE_SHARED=ON \
       -DENABLE_STATIC=OFF \
       -DENABLE_TESTS_COMPONENT=OFF
%cmake_build


%install
%cmake_install


%ldconfig_scriptlets


%files
%doc README.md
%doc CHANGELOG.md
%license LICENSE.txt
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/%{name}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_datadir}/*/cmake/*


%changelog
* Mon Apr 11 2022 Cristian Balint <cristian.balint@gmail.com>
- github upstream releases
